<?php
namespace PriceGuide\Service;



/**
 * Manage Club data.
 * @author andre.fourie
 */
class Club extends \PriceGuide\DataBin\Club
{


	/**
	 * ExecuteAfter: Decline.
	 * Set status to Archived
	 *
	 * @param array $meta
	 * @param object|null $jobRecord
	 * @param object|null $record
	 * @param \Workspace\Utility\ServiceInputParams $contract
	 * @return array
	 */
	public function archiveClub($meta, $jobRecord, $record, \Workspace\Utility\ServiceInputParams $contract)
	{
		#-> Change status.
		$record->status = 'Archived';
		$this->em->flush();
	}



}