<?php
namespace Company\DataBin;



/**
 * Manage FoundMethod data.
 * @author andre.fourie
 */
class FoundMethod extends \Workspace\Service\DataBin
{

	/**
	 * @var array
	 */
	protected $meta = array(
			'Base'        => 'FoundMethod',
			'DatasetName' => 'foundmethods',
			'Entity'      => '\Company\Entity\FoundMethod',
			'References'  => array(),
			'Dependants'  => array()
	);
	/**
	 * @var array
	*/
	protected $metaSelectList = array(
			'Type'          => 'SelectList',
			'Contract'      => 'Recurring',
			'RequiredInput' => array(),
			'OptionalInput' => array(),
			'Filter'   => array(),
			'Label'    => array(
				'Format' => '[name]',
				'Fields' => array('name')
			)
	);

}