<?php
namespace Fixture\Controller;



class FixtureController extends \Zend\Mvc\Controller\AbstractActionController
{

	/**
	 * Build fixtures.
	 */
	public function buildAction()
	{
		\Fixture\Service\Fixture::setEntityManager(
				$this->serviceLocator->get('doctrine.entitymanager.orm_default')
				);
		$config = include __DIR__ . '/../../../config/service.config.php';
		foreach ($config as $fixture)
		{
			echo "Building data for $fixture \n";
			$fixture::build();
		}
		return 'Done!' . "\n";
	}

	public function buildlimitedAction()
	{
		\Fixture\Service\Fixture::setEntityManager(
				$this->serviceLocator->get('doctrine.entitymanager.orm_default')
		);
		$config = include __DIR__ . '/../../../config/service-limited.config.php';
		foreach ($config as $fixture)
		{
			echo "Building data for $fixture \n";
			$fixture::build();
		}
			return 'Done!' . "\n";
	}

	public function buildtemplatesAction()
	{
		\Fixture\Service\Fixture::setEntityManager(
				$this->serviceLocator->get('doctrine.entitymanager.orm_default')
		);
		$config = include __DIR__ . '/../../../config/service-templates.config.php';
		foreach ($config as $fixture)
		{
			echo "Building data for $fixture \n";
			$fixture::build();
		}
			return 'Done!' . "\n";
	}

}