<?php
namespace PriceGuide;


class Module
{
	public function getAutoloaderConfig()
	{
		return array(
				'Zend\Loader\ClassMapAutoloader' => array(
						__DIR__ . '/autoload_classmap.php',
				)
		);
	}

	public function getConfig()
	{
		return include __DIR__ . '/config/module.config.php';
	}

	public function getServiceConfig()
	{
		return array(
				'invokables' => array(
						__NAMESPACE__ => __NAMESPACE__ . '\Workflow',
						__NAMESPACE__ . '.Service.PriceGuide' => __NAMESPACE__ . '\Service\PriceGuide',
						__NAMESPACE__ . '.Service.Club' => __NAMESPACE__ . '\Service\Club',
						__NAMESPACE__ . '.Service.Member' => __NAMESPACE__ . '\Service\Member',
						__NAMESPACE__ . '.Service.Invite' => __NAMESPACE__ . '\Service\Invite',
						__NAMESPACE__ . '.Service.Offer' => __NAMESPACE__ . '\Service\Offer',
						__NAMESPACE__ . '.Service.AllowedMember' => __NAMESPACE__ . '\Service\AllowedMember',
						__NAMESPACE__ . '.Service.Pdf' => __NAMESPACE__ . '\Service\Pdf',
						__NAMESPACE__ . '.Service.PricingHistory'  => __NAMESPACE__ . '\Service\PricingHistory'
				)
		);
	}

}