<?php
namespace PriceGuide;
return array(
	    'doctrine' => array(
	        'driver' => array(
	            __NAMESPACE__ . '_driver' => array(
	                'class' => 'Doctrine\ORM\Mapping\Driver\AnnotationDriver',
	                'cache' => 'array',
	                'paths' => array(__DIR__ . '/../src/' . __NAMESPACE__ . '/Entity')
	            ),
	            'orm_default' => array(
	                'drivers' => array(
	                    __NAMESPACE__ . '\Entity' => __NAMESPACE__ . '_driver'
	                )
	            )
	        )
	    ),
		'controllers' => array(
				'invokables' => array(
						'PriceGuide\Controller\PriceGuide' => 'PriceGuide\Controller\PriceGuideController'
				),
		),
	    'console' => array(
	        'router' => array(
	            'routes' => array(
	                'notify' => array(
	                    'options' => array(
	                        'route'    => 'priceguide notify <pgId> <cmpId> <prfId>',
	                        'defaults' => array(
	                            'controller' => 'PriceGuide\Controller\PriceGuide',
	                            'action'     => 'notify'
	                        )
	                    )
	                ),
	                'process' => array(
	                    'options' => array(
	                        'route'    => 'priceguide process',
	                        'defaults' => array(
	                            'controller' => 'PriceGuide\Controller\PriceGuide',
	                            'action'     => 'process'
	                        )
	                    )
	                )
	            )
	        )
	    )
);