<?php
namespace PriceGuide\Controller;



class PriceGuideController extends \Zend\Mvc\Controller\AbstractActionController
{

	public function notifyAction()
	{
		\Utility\Registry::setServiceManager($this->serviceLocator);
		\Utility\Registry::addDynamicConfig(
				\Utility\Registry::getEntityManager()
					->getRepository('Config\Entity\Config')
					->find(1)
					->toArray()
				);
		$service = new \PriceGuide\Service\PriceGuide();
		$service->setWorkflow($this->serviceLocator->get('PriceGuide'));
		$pgId = $this->getRequest()->getParam('pgId');
		$fromCompanyId = $this->getRequest()->getParam('cmpId');
		$fromProfileId = $this->getRequest()->getParam('prfId');
		$record = \Utility\Registry::getEntityManager()
					->getRepository('PriceGuide\Entity\PriceGuide')
					->find($pgId);
		$service->sendToMembers($record, $fromCompanyId, $fromProfileId);
		return "\n";
	}

	public function processAction()
	{
		\Utility\Registry::setServiceManager($this->serviceLocator);
		\Utility\Registry::addDynamicConfig(
				\Utility\Registry::getEntityManager()
				->getRepository('Config\Entity\Config')
				->find(1)
				->toArray()
		);
		$service = new \PriceGuide\Service\PriceGuide();
		$service->setWorkflow($this->serviceLocator->get('PriceGuide'));
		$service->cronProcess();
		return "\n";
	}

}