<?php
namespace Report;



/**
 * A workflow.
 * @author andre.fourie
 */
class Workflow extends \Workspace\Workflow
{

	/**
	 * @var string
	 */
	protected $namespace 		= __NAMESPACE__;
	/**
	 * @var string
	 */
	protected $parentFeature 	= false;
	/**
	 * @var string
	 */
	protected $rootEntity    	= false;
	/**
	 * @var string
	 */
	protected $rootIdField   	= false;
	/**
	 * @var string
	 */
	protected $initState     	= false;
	/**
	 * @var string
	 */
	protected $initTrigger   	= false;
	/**
	 * @var string
	 */
	protected $primaryEntity 	= false;
	/**
	 * @var array
	 */
	protected $entityMap 		= array();
	/**
	 * @var array
	 */
	protected $linkMap 			= array();
	/**
	 * @var array
	 */
	protected $listen 			= array();
	/**
	 * @var array
	 */
	protected $reclaim 			= array();
	/**
	 * @var array
	 */
	protected $stateLabel 		= array();
	/**
	 * @var array
	 */
	protected $stateMap = array(
			'Global' => array(
				'Actions' => array(
					'Report.Sms'        			=> array(),
					'Report.Invoice'    			=> array(),
					'Report.Auction'    			=> array(),
                    'Report.StockAuction'    		=> array(),
					'Report.TuhpiLog'    			=> array(),
                    'Report.TuhpiAccidentLog'    	=> array(),
					'Report.PriceGuide' 			=> array(),
					'Report.PriceGuideStatistical' 	=> array(),
					'Report.Trader' 				=> array(),
					'Report.AuctionAdherence' 		=> array(),
					'Report.NoMatch' 				=> array(),
					'Report.PriceGuideFlash' 		=> array(),
					'Report.LoadVsSold' 			=> array(),
					'Report.LoadVsSoldDetail' 		=> array(),
					'Report.Adherence'  			=> array(),
					'Report.Login'  				=> array(),
					'Report.Email'  				=> array(),
					'Report.Adherence' 				=> array(),
					'Report.Valuation' 				=> array(),
					'Report.AdminValuation' 		=> array(),
					'Report.ValuationStatistical' 	=> array(),
          'Report.AuctionTrader' 	=> array()
				)
			)
	);


}
