<?php
namespace Statistical\DataBin;



/**
 * Report reports.
 * @author andre.fourie
 */
class Statistical extends \Workspace\Service\DataBin
{

	/**
	 * @var array
	 */
	protected $meta = array(
			'Base'        	=> 'Statistical',
			'DatasetName' 	=> 'statistical',
			'Entity'      	=> '\Statistical\Entity\Statistical',
			'References'  	=> array()
	);
	
	
	/**
	 * @var array
	*/
	protected $metaList = array(
			'Contract'      	=> 'Recurring',
			'RequiredInput' 	=> array(),
			'OptionalInput' 	=> array(
					'Filter' 	=> array(
							'stock'       		=> 'Id',
							'dealdone'    		=> 'Boolean',
							'dealnotdone'       => 'Boolean',
							'tradecentre'       => 'Boolean',
							'fromProfile'		=> 'Id',
							'created'       	=> 'Date',
					)
			),
			'Filter' => array(),
			'Fields' => array(
				'stock',
				'dealdone',
				'dealnotdone',
				'tradecentre',
				'fromProfile',
				'created'
			),
			'Expand' => array()
	);
	
	/**
	 * @var array
	*/
	protected $metaCreate = array(
			'Contract' 		=> 'Recurring',
			'RequiredInput' => array(
							'stock' 			=> 'Id',
							'created'       	=> 'Date'
			),
			'OptionalInput' => array(
							'dealdone'    		=> 'Boolean',
							'dealnotdone'       => 'Boolean',
							'tradecentre'       => 'Boolean',
							'fromProfile'       => 'Id',
					
					
			)
	);

}