<?php
namespace Valuation\Controller;




class ValuationController extends \Zend\Mvc\Controller\AbstractActionController
{

	/**
	 * @var \Zend\Session\Container
	 */
	protected $session;
	/**
	 * @var array
	 */
	protected $request;
	/**
	 * @var array
	 */
	protected $response;
	/**
	 * @var \Zend\ServiceManager\ServiceManager
	 */
	protected $sm;

	protected $em;
	/**
	 * @var boolean
	 */
	protected $authenticated = false;
	/**
	 * @var \User\Service\Authentication
	 */
	protected $authDetails;



	public function pushChangeAction()
	{
		\Utility\Registry::setServiceManager($this->serviceLocator);
		\Utility\Registry::addDynamicConfig(
			\Utility\Registry::getEntityManager()
				->getRepository('Config\Entity\Config')
				->find(1)
				->toArray()
		);
		$service = new \Valuation\Service\Valuation();
		$service->setWorkflow($this->serviceLocator->get('Valuation'));
		$changeCode = $this->getRequest()->getParam('changeCode');
		$id         = $this->getRequest()->getParam('id');
		$skipId     = $this->getRequest()->getParam('skipId');
		$service->pushChange($changeCode, $id, $skipId);
		return "\n";
	}

}